%define pkg_name Digest-SHA1
%define perl_version %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary:	NIST SHA message digest algorithm
Name:		perl-digest-sha1
Version:        2.11
Release:	2tr
License:	Artistic
Group:		Trustix Official
URL:		http://cpan.org/
Source0:	http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/%{pkg_name}-%{version}.tar.gz
Requires: %(perl -MConfig -le 'print $Config{sitearchexp}')
Requires: %(perl -MConfig -le 'print $Config{sitelibexp}')
BuildPrereq: perl(ExtUtils::MakeMaker)
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%define siteperl /usr/lib/perl5/site_perl/%{perl_version}

%description
The "Digest::SHA1" module allows you to use the NIST SHA-1 message digest
algorithm from within Perl programs. The algorithm takes as input a message of
arbitrary length and produces as output a 160-bit "fingerprint" or "message
digest" of the input.

%prep
%setup -q -n Digest-SHA1-%{version}

%build
export PERL_MM_USE_DEFAULT=1
export CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=site
make test

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

# remove special files
find $RPM_BUILD_ROOT -name perllocal.pod -o -name .packlist -o -name "*.bs" \
		| xargs -i rm -f {}


# mark POD files as documentation
perl -pi -e 's/^(.+?\.pod)$/%%doc $1/' %{filelist}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,0755)
%{siteperl}/%{_arch}-linux-thread-multi/auto/Digest
%{siteperl}/%{_arch}-linux-thread-multi/Digest
/usr/share/man/man3/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Jun 21 2006 Nived Gopalan <nived at trustix dot org> 2.11-1tr
- New Upstream.

* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 2.10-4tr
- Rebuilt on perl-5.8.7	
		
* Fri Mar 18 2005 Hasher Jamaludeen <hasher at comodo dot com> 2.10-2tr
- Rebuilt

* Mon Mar 07 2005 Ajith Thampi <ajith at comodo dot com> 2.10-1tr
- quite a clean-up of the spec
- Rebuilt on perl-5.8.6
